# chef-hipchat-plugin cookbook

[![Build Status](https://travis-ci.org/chef-partners/chef-hipchat-plugin-cookbook.svg?branch=master)](https://travis-ci.org/chef-partners/chef-hipchat-plugin-cookbook)

This cookbooks bootstraps what you need to run the [chef-hipchat-plugin][chef-hipchat-plugin]

## Scope

This cookbook focuses on everything you need on Ubuntu to bootstrap the chef-hipchat-plugin.

## Requirements

- Chef 12.0.0 or higher
- Ubuntu 14.04 or higher

## Usage

Place a dependency on the `chef-hipchat-plugin` cookbook in your
cookbook's metadata.rb:

```ruby
depends 'chef-hipchat-plugin', '~> 0.1'
```

### default.rb

There is only one recipe which is `chef-hipchat-plugin::default`. It does all
all the provisioning work. There is only one, attribute also which is:

`default[:chef_hipchat_plugin][:plugin_version] = 'master'`

If you'd like to pin this to a specific version of the plugin, you should set an
override attribute to a specific SHA.


## License and Authors

Author:: Chef Partner Engineering (<partnereng@chef.io>)

Copyright:: Copyright (c) 2015 Chef Software, Inc.

License:: Apache License, Version 2.0

Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the License at

```
http://www.apache.org/licenses/LICENSE-2.0
```

Unless required by applicable law or agreed to in writing, software distributed under the
License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
either express or implied. See the License for the specific language governing permissions
and limitations under the License.

## Contributing

1. Fork it ( https://github.com/chef-partners/chef-hipchat-plugin-cookbook/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request

[chef-hipchat-plugin]: https://github.com/chef-partners/chef-hipchat-plugin
